summaryrefslogtreecommitdiffstats
path: root/deps/libssh/libssh.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/libssh/libssh.SlackBuild')
-rwxr-xr-xdeps/libssh/libssh.SlackBuild19
1 files changed, 9 insertions, 10 deletions
diff --git a/deps/libssh/libssh.SlackBuild b/deps/libssh/libssh.SlackBuild
index 7812e4e..ef701ca 100755
--- a/deps/libssh/libssh.SlackBuild
+++ b/deps/libssh/libssh.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2011, 2012, 2014 Eric Hameleers, Eindhoven, NL
+# Copyright 2011, 2012, 2014, 2015 Eric Hameleers, Eindhoven, NL
# Copyright 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -23,21 +23,20 @@
PKGNAM=libssh
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-0.6.4}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
if [ "$ARCH" = "i486" ]; then
@@ -68,8 +67,8 @@ rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
cd ${PKGNAM}-$VERSION || exit 1
-# These fail to build and are not packaged anyway:
-#zcat $CWD/libssh.no.example.build.diff.gz | patch -p1 --verbose || exit 1
+# Fix a compilation issue (backport from libssh git):
+cat $CWD/libssh_libgcrypt.patch | patch -p1 --verbose || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .